Introduction

Navigation: »No topics above this level«

TreeSize Free - Introduction

 Return to chapter overview

Every hard disk is too small if you just wait long enough. TreeSize Free tells you where precious space has gone to. It can be started from the context menu of a folder or drive and shows you the size of this folder, including its sub-folders. You can expand this folder in Explorer-like style and you will see the size of every sub-folder. Scanning is done in a thread, so you can already see results while TreeSize Free is working. The space, which is wasted by the file system can be displayed and the results can be printed in a report.


Installation

Installation

Simply execute the installer and follow the instructions. TreeSize Free can be uninstalled through the Windows Control Panel. Supported operating systems are Windows XP, Windows 2003 Server, Windows Vista, Windows Server 2008 (R2) and Windows 7, including the 64Bit editions.0

Portable installation

In addition to the normal installer, TreeSize Free is available as a ZIP file, which saves its settings locally and can e.g. be run from a portable medium such as an USB stick.


Tips & Annotations

Tips & Annotations

The following information is important. Provided are instructions and information which makes understanding of TreeSize and how to use it easier.

· The allocated space that Windows shows in the properties dialog of the drive may be larger than the allocated space reported by TreeSize Free. The Windows Explorer shows the space that is physically allocated on the drive while TreeSize Free shows the space that is occupied by all files under a certain path. Please make sure that you have the view option "Allocated Space" activated when you are interested in the physically allocated space. Another reason for this difference can be that not all parts of the drive could be scanned due to access restrictions. Therefore it is highly recommended to run TreeSize Free as administrator. Turn on "View > Options > Show Errors Messages" to be notified if a folder cannot be scanned. Beyond the space that is needed for storing the files itself, additional space is used for storing management data like the File Allocation Table of the file system or the boot sector. It is not possible to free this space with TreeSize Free or any other tool. This is usually 0.5 - 2.5% of the occupied space. Another possibility is that you are using a Software RAID - like Windows offers - which spreads the data with redundancy over several disks. These disks will appear as one logical volume and the failure of a single disk will not cause any data loss. But for storing the redundant information, additional space is needed. On Thinkpad laptops the Rescue&Recovery feature may use a lot of disk space in the folder "RRBackup" which is not accessible to other applications.
· All folders which are visible in the window, will be included in the printed report. If you want a complete report, select the top folder and select "Full Expand" from the context menu.
· The indicator bars in the background, which can be selected to appear in the View menu, indicate the size of a folder relative to the scanned folders.
· You can use the CD-ROM cluster size to determine how much space a directory tree would occupy on a CD-ROM.
· By default the Windows folder "System Volume Information" is not accessible for users as well as Administrators (you can check this in the Windows Explorer after switching the hidden files to "on").
· Only file system folders can be scanned with TreeSize Free.
· The Professional and the Personal Edition can also take NTFS Alternate Data Streams and hardlinks into account and so produce more exact results.


TreeSize Professional / Personal

TreeSize Professional / Personal

As alternative to TreeSize Free, TreeSize Professional and TreeSize Personal are available as well. They provide not only the features of TreeSize Free, but also have a lot more powerful features :

· Several exporting and reporting possibilities: Printed report (showing the directory structure), Excel, HTML, XML, text file, clipboard. (Only Professional edition)
· Ability to save the collected data to an XML file and to load it again later.
· A saved XML file can be used to compare it against the current version of the file system branch. The difference between the two scans will be displayed and makes it easy to see which folders have grown.
· Statistics about file types, file owners and file ages on directory level.
· List of Top 100 biggest files.
· High performance through multi-threading: Scan and view several folders at the same time, automatic adjustment of the number of threads that are used for a scan.
· See all details (size, allocated, wasted, percent, files) at a glance.
· The visible columns can be configured separately for the Details view, Excel export, HTML export, Text export and printed reports. A lot of optional columns are available.
· A shell extensions is included that adds an additional column with the caption "TreeSize" to the Windows XP/2003 Explorer that shows the size not only for files but also for folders.
· 3D bar and pie charts, as well as a hierarchical tree map can be displayed or printed.
· The contents of a directory can be printed, including all files and the corresponding icons.
· A list of all files in the scanned file system branch can be exported.
· The integrated multi-path file search helps you to find and archive the largest, oldest, obsolete and temporary files, e.g. invalid shortcuts or files owned by a non existent account.
· Duplicate File Search with MD5 checksums and the possibility to deduplicate files
· A fully customizable file search is available too.
· The search results can be exported, moved, zipped or deleted or passed to an executable as paramter.
· Ability to scan folders to which the current user does not normally have access to.
· Command line options allow scheduled scans. An integrated wizard helps you to set up scheduled scans. (Only Professional edition)
· Detailed Help file and printable manual.
· And much more. Please find a comparison matrix on our website.

Find more information as well as a full featured trial version at: http://www.jam-software.com/treesize/


What's New

What's new?

 Return to chapter overview

Version 2.7: Released on 31 Jan 2012

· The "Filter" dialog in the "Options" menu has been enhanced:
o Besides include filters it is now also possible to use exclude filters. This can be useful to exclude certain directories or files permanently from TreeSize Free scans.
o You can now define if matching should be done normally considering the wildcards * and ?, if an exact match should be performed, or if the pattern is treated as regular expression.
o You can decide if the given pattern should be matched against the full path or just against the object name.
· The right click menu now offers to remove a folder temporarily from TreeSize Free or to exclude it permanently from scans.
· A few minor improvements and fixes have been incorporated.

Version 2.6: Released on 13 Oct 2011

· If started as administrator, TreeSize Free is now able to calculate the size of directories you normally do not have access to, e.g. the folder "C:\System Volume Information". This should lead to more exact results and does not break Windows security because files still cannot be opened. Please note that the Personal and Professional Edition are able to calculate even more exact results, by taking NTFS Alternate Data Streams and hardlinks into account.
· The option “Show Files in Directory Tree” lets you decide whether or not individual files should be shown in the directory tree.
· It is now possible to apply NTFS compression to a directory branch and to decompress a directory branch using the right click menu.
· Two buttons have been added to the toolbar that allow navigating forward and backward, like in the Windows Explorer.
· The operations "Expand to level xxx" are now available in every subfolder's right click menu. A new option lets you decide whether or not the operations in the the "Expand" menu will be applied also to the [Files] items.
· A few minor improvements and bug fixes have been incorporated and the performance has been improved.

Version 2.5.1: Released on 16 Nov 2010

· Increased speed when expanding many folders using the new "Expand" menu and many files are involved.
· The progress of a scan is now shown in the Windows 7 taskbar.

Version 2.5: Released on 08 Nov 2010

· TreeSize Free is now able to show the NTFS compression rate in the directory tree. This adds the main feature of our discontinued tool NTFSRatio.
· A new option allows to show compressed folders in blue color. Folders that are only partially compressed will be shown in dark blue.
· It is now possible to rename files and folders in the directory tree. This can be done by using the right click menu or by pressing F2.
· A new menu "Expand" in the main menu and the right click menu of the root folder which allows to expand all subfolders up to a certain level.
· A scan can now be stopped using "File > Stop Scan".
· The layout of the main menu has been revised.
· The support for Windows 2000 has been dropped because Microsoft dropped it in July 2010. TreeSize Free V2.4, which is compatible with Windows 2000, will remain available on our website.
· A few minor improvements and bug fixes have been incorporated.

Version 2.4: Released on 10 Feb 2010

· Support for drag and drop operations has been added. They work within the directory tree as well as with the Windows Explorer.
· "View > Options > File Filter" now shows a dialog box that allows to configure the include filters more comfortably.
· The items "New instance of TreeSize Free (Ctrl+N)" and "Print Setup" have been added to the "File" menu.
· "Scan this folder" has been added to right click menu. It allows you to start a new instance of TreeSize Free that is rooted at the selected folder.
· The Explorer context menu is now also shown for the [Files] items in the directory tree. The displayed context menu will apply to all files that are summarized under this item.
· Expanding all folders using the right click menu is much faster now.
· The Windows Start menu now has a shortcut to start TreeSize Free with administrative privileges under Windows Vista and later.
· The new option "Scan with one Thread only" under "View > Options" can be used to force a scan using just a single thread. This will have less impact on the performance of your system during the scan.
· Bugfix: In case a selected file was deleted and then its folder was collapsed, an error could occur.
· Bugfix: The application settings were not deleted correctly from a system during uninstallation.

Version 2.3.3: Released on 03 Jul 2009

· Bugfix: In case a selected file was deleted and then its folder was collapsed, an error could occur if no other file or folder was selected.
· A few minor improvements have been incorporated.

Version 2.3.2: Released on 24 Jun 2009

· Bugfix: In some cases the root folder in TreeSize was not expandable.

Version 2.3.1: Released on 18 May 2009

· Folders without sub-folders are now expandable as well and show the files, similar to the [Files] items.
· A few minor improvements have been incorporated.

Version 2.3: Released on 22 Apr 2009

· The [Files] items in the directory tree are now expandable and show the individual files after being expanded.
· It is now possible to customize the gradient in the background of the tree in the Options menu.
· User settings are now stored in an XML file instead of the Windows registry.
· It is now possible to adjust the number of decimals of the size values in the View menu.
· TreeSize Free will now use up to 2 threads for scanning instead of 1. In the Personal Edition and the Professional Edition the number of threads is not limited and will be adjusted automatically based on the system load.
· Bugfix: When changing the sort type after a scan, sub-folders of non expanded directories were not sorted correctly after expanding.
· Improved performance
· Several minor bug fixes and improvements have been incorporated.

Version 2.2.1: Released on 19 May 2008

· Bugfix: The menu item added using View / Options / Show TreeSize in Explorer Context Menu was not working.
· Bugfix: On some systems deinstallation did not work.

Version 2.2: Released on 9 May 2008

· TreeSize Free is now able to handle paths with more than 255 characters when scanning the disk.
· The compatibility with 64Bit systems has been improved.
· TreeSize Free now optionally shows long tooltip windows (View / Options) with detailed information if the mouse cursor pauses over a folder for a while.
· TreeSize Free now contains an option to turn on or off its menu item in the Windows Explorer context menu (View / Options). This is now a per-user option.
· Changed Help System from "Readme.txt" to HTML based Help files.
· Minor bug fixes and improvements have been incorporated.
· The support for Windows 9x/ME has been dropped. Users of these Windows versions may still use TreeSize Free V2.1.

Version 2.1: Released on 7 May 2007

· With the new option 'Show Error Messages' (Options / View) you can now choose to prompt an error message or not, if an error occurs during a scan (e.g. access to folder denied).
· A new button was added to the toolbar that opens the selected folder in the Windows Explorer.
· The browse for folder dialog (File / Select Directory) now includes an edit box to enter the directory you want to scan instead of browsing for it.
· The "[Files]" nodes in the directory tree now also have a right click menu including an entry to open the folder that contains these files in the Windows Explorer.
· The right click menu item 'Count Folders' was renamed to 'Number of Subfolders' and is now available for all scanned sub-folders, not only for the root folder.
· BugFix: If a removable drive was scanned and TreeSize finds after a later restart that this drive does not exist anymore, an error message was shown. Now, the missing drive will be ignored.

Version 2.0: Released on 14 Mar 2007

· TreeSize Free is completely rewritten and now based on the code of the latest version of TreeSize Professional.
· Scans are performed much faster now.
· The view can be switched to GB and file count now.
· Unicode paths are now supported.
· NTFS compression is now taken into account when calculating the allocated space.
· The small size indicator bars have been replaced with a type of gradient bar chart.

Version 0.2 - 1.7.9: Published 08 Jul 1996 - 27 Nov 2006


Copyright & Contact

Copyright & Contact

TreeSize Free is freeware, which means you can use TreeSize Free without charge and distribute the complete archive.

Copyright © 2012 Joachim Marder e.K.

JAM Software GmbH
Max-Planck-Str. 22
54296 Trier
Germany

FAX: | +49-651-145653-29
WWW: | http://www.jam-software.com
Support: | http://www.jam-software.com/customers/contact.php
E-Mail: | treesize@jam-software.com
VAT ID No.: | DE234825349
Commercial Register No.: | HRB 4920 (AG Wittlich)
Managing Director: | Joachim Marder